Bug 174664 - [CMake] Add an option to stop build after generating project files
Summary: [CMake] Add an option to stop build after generating project files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-19 20:49 PDT by Yousuke Kimoto
Modified: 2017-07-21 09:02 PDT (History)
8 users (show)

See Also:


Attachments
[PATCH] Add '--nobuild' option (3.25 KB, patch)
2017-07-20 00:13 PDT, Yousuke Kimoto
no flags Details | Formatted Diff | Diff
[PATCH] Add '--nobuild' option (3.33 KB, patch)
2017-07-20 00:22 PDT, Yousuke Kimoto
annulen: review-
Details | Formatted Diff | Diff
[PATCH] Add '--generate-project-only' option (3.50 KB, patch)
2017-07-20 23:28 PDT, Yousuke Kimoto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuke Kimoto 2017-07-19 20:49:13 PDT
Since developers sometimes need to check only project files generated by CMake before build, "nobuild" option will help them to check those files.

The option can be used like:
$ Tools/Scripts/build-webkit --debug --nobuild
Comment 1 Yousuke Kimoto 2017-07-20 00:13:54 PDT
Created attachment 315974 [details]
[PATCH] Add '--nobuild' option
Comment 2 Yousuke Kimoto 2017-07-20 00:22:29 PDT
Created attachment 315975 [details]
[PATCH] Add '--nobuild' option
Comment 3 Konstantin Tokarev 2017-07-20 08:35:55 PDT
Comment on attachment 315975 [details]
[PATCH] Add '--nobuild' option

View in context: https://bugs.webkit.org/attachment.cgi?id=315975&action=review

> Tools/Scripts/webkitdirs.pm:2177
> +    return determineIsNoBuild();

determineIsNoBuild();
return $isNoBuild;

Otherwise it will return undefined value when called second time
Comment 4 Konstantin Tokarev 2017-07-20 08:37:41 PDT
BTW, build-webkit --no-build looks a bit... weird
Comment 5 Don Olmstead 2017-07-20 10:36:08 PDT
Here are some ideas for the flag

--skip-build
--generate-projects-only

Any other ideas annulen?
Comment 6 Konstantin Tokarev 2017-07-20 10:39:11 PDT
I would prefer --generate-projects-only, though I'm equally fine with stopping build manually after generation is done
Comment 7 Yousuke Kimoto 2017-07-20 23:28:54 PDT
Created attachment 316073 [details]
[PATCH] Add '--generate-project-only' option

Thank you for your comments. I applied your advises into the new patch.
Comment 8 WebKit Commit Bot 2017-07-21 09:02:25 PDT
Comment on attachment 316073 [details]
[PATCH] Add '--generate-project-only' option

Clearing flags on attachment: 316073

Committed r219728: <http://trac.webkit.org/changeset/219728>
Comment 9 WebKit Commit Bot 2017-07-21 09:02:27 PDT
All reviewed patches have been landed.  Closing bug.